{"openapi":"3.0.1","info":{"title":"MS SAT Admin — Comtecsa","description":"Administrative catalogue and pre-sale folders. Authorize with the same JWT issued by ms-central-login-comtecsa (Bearer token containing module CRUD claims).","version":"1.0.0"},"servers":[{"url":"http://securemsadmind.mrdev.mx","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"paths":{"/api/v1/technology-categories/{id}":{"get":{"tags":["Technology categories"],"operationId":"findById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseTechnologyCategory"}}}}}},"put":{"tags":["Technology categories"],"operationId":"replace","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TechnologyCategoryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseTechnologyCategory"}}}}}},"delete":{"tags":["Technology categories"],"operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/product-catalog/{id}":{"get":{"tags":["Product catalog"],"operationId":"findById_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseProductCatalog"}}}}}},"put":{"tags":["Product catalog"],"operationId":"replace_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCatalogRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseProductCatalog"}}}}}},"delete":{"tags":["Product catalog"],"summary":"Deactivate product","description":"Calls product_catalog_delete (sets is_active = false).","operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/pre-sale-folders/{id}":{"get":{"tags":["Pre-sale folders"],"operationId":"findById_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}},"put":{"tags":["Pre-sale folders"],"operationId":"replace_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSaleFolderRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}},"delete":{"tags":["Pre-sale folders"],"operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/measurement-units/{id}":{"get":{"tags":["Measurement units"],"operationId":"findById_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMeasurementUnit"}}}}}},"put":{"tags":["Measurement units"],"operationId":"replace_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMeasurementUnit"}}}}}},"delete":{"tags":["Measurement units"],"operationId":"delete_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/master-statuses/{id}":{"get":{"tags":["Master status"],"operationId":"findById_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMasterStatus"}}}}}},"put":{"tags":["Master status"],"operationId":"replace_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MasterStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMasterStatus"}}}}}},"delete":{"tags":["Master status"],"operationId":"delete_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/customers/{id}":{"get":{"tags":["Customers"],"operationId":"findById_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomer"}}}}}},"put":{"tags":["Customers"],"operationId":"replace_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomer"}}}}}},"delete":{"tags":["Customers"],"operationId":"delete_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/customer-contacts/{id}":{"get":{"tags":["Customer contacts"],"operationId":"findById_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomerContact"}}}}}},"put":{"tags":["Customer contacts"],"operationId":"replace_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerContactRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomerContact"}}}}}},"delete":{"tags":["Customer contacts"],"operationId":"delete_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/category-default-items/{id}":{"get":{"tags":["Category default items"],"operationId":"findById_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryDefaultItem"}}}}}},"put":{"tags":["Category default items"],"operationId":"replace_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryDefaultItemRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryDefaultItem"}}}}}},"delete":{"tags":["Category default items"],"operationId":"delete_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/brands/{id}":{"get":{"tags":["Brands"],"operationId":"findById_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBrand"}}}}}},"put":{"tags":["Brands"],"operationId":"replace_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBrand"}}}}}},"delete":{"tags":["Brands"],"operationId":"delete_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/technology-categories":{"get":{"tags":["Technology categories"],"operationId":"findAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListTechnologyCategory"}}}}}},"post":{"tags":["Technology categories"],"summary":"Create category","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TechnologyCategoryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseTechnologyCategory"}}}}}}},"/api/v1/product-catalog":{"get":{"tags":["Product catalog"],"operationId":"findAll_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListProductCatalog"}}}}}},"post":{"tags":["Product catalog"],"operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCatalogRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseProductCatalog"}}}}}}},"/api/v1/pre-sale-folders":{"get":{"tags":["Pre-sale folders"],"operationId":"findAll_2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListPreSaleFolder"}}}}}},"post":{"tags":["Pre-sale folders"],"operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSaleFolderRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}}},"/api/v1/measurement-units":{"get":{"tags":["Measurement units"],"operationId":"findAll_3","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListMeasurementUnit"}}}}}},"post":{"tags":["Measurement units"],"operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMeasurementUnit"}}}}}}},"/api/v1/master-statuses":{"get":{"tags":["Master status"],"summary":"List master statuses","operationId":"findAll_4","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListMasterStatus"}}}}}},"post":{"tags":["Master status"],"operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MasterStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMasterStatus"}}}}}}},"/api/v1/exchange-rates/sync-from-banxico":{"post":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"syncFromBanxico","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExchangeRateDaily"}}}}},"security":[]}},"/api/v1/customers":{"get":{"tags":["Customers"],"operationId":"findAll_5","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCustomer"}}}}}},"post":{"tags":["Customers"],"operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomer"}}}}}}},"/api/v1/customer-contacts":{"get":{"tags":["Customer contacts"],"operationId":"findAll_6","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCustomerContact"}}}}}},"post":{"tags":["Customer contacts"],"operationId":"create_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerContactRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomerContact"}}}}}}},"/api/v1/category-default-items":{"get":{"tags":["Category default items"],"operationId":"findAll_7","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCategoryDefaultItem"}}}}}},"post":{"tags":["Category default items"],"operationId":"create_7","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryDefaultItemRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryDefaultItem"}}}}}}},"/api/v1/brands":{"get":{"tags":["Brands"],"operationId":"findAll_8","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListBrand"}}}}}},"post":{"tags":["Brands"],"operationId":"create_8","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBrand"}}}}}}},"/api/v1/exchange-rates":{"get":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"range","parameters":[{"name":"from","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"to","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListExchangeRateDaily"}}}}}}},"/api/v1/exchange-rates/on/{date}":{"get":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"on","parameters":[{"name":"date","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExchangeRateDaily"}}}}}}},"/api/v1/exchange-rates/latest":{"get":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"latest","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExchangeRateDaily"}}}}}}},"/api/v1/customer-contacts/by-customer/{customerId}":{"get":{"tags":["Customer contacts"],"operationId":"byCustomer","parameters":[{"name":"customerId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCustomerContact"}}}}}}},"/api/v1/category-default-items/by-category/{categoryId}":{"get":{"tags":["Category default items"],"operationId":"byCategory","parameters":[{"name":"categoryId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCategoryDefaultItem"}}}}}}}},"components":{"schemas":{"TechnologyCategoryRequest":{"required":["name"],"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string"},"templateCode":{"maxLength":20,"minLength":0,"type":"string"}}},"ApiResponseTechnologyCategory":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/TechnologyCategory"}}},"TechnologyCategory":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"templateCode":{"type":"string"}}},"ProductCatalogRequest":{"required":["active","brandId","categoryId","measurementUnitId","sku"],"type":"object","properties":{"categoryId":{"type":"integer","format":"int32"},"sku":{"maxLength":100,"minLength":0,"type":"string"},"model":{"maxLength":100,"minLength":0,"type":"string"},"technicalDescription":{"type":"string"},"brandId":{"type":"integer","format":"int32"},"active":{"type":"boolean"},"measurementUnitId":{"type":"integer","format":"int32"}}},"ApiResponseProductCatalog":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ProductCatalog"}}},"ProductCatalog":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"sku":{"type":"string"},"model":{"type":"string"},"technicalDescription":{"type":"string"},"brandId":{"type":"integer","format":"int32"},"active":{"type":"boolean"},"measurementUnitId":{"type":"integer","format":"int32"}}},"PreSaleFolderRequest":{"required":["customerId","statusId"],"type":"object","properties":{"customerId":{"type":"integer","format":"int32"},"statusId":{"type":"integer","format":"int32"},"folderCode":{"maxLength":20,"minLength":0,"type":"string"},"assignedEngineerId":{"type":"integer","format":"int32"},"locationReference":{"maxLength":255,"minLength":0,"type":"string"},"technicalObservations":{"type":"string"},"diagramPhotoUrl":{"maxLength":255,"minLength":0,"type":"string"},"surveyDate":{"type":"string","format":"date-time"}}},"ApiResponsePreSaleFolder":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/PreSaleFolder"}}},"PreSaleFolder":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"},"statusId":{"type":"integer","format":"int32"},"folderCode":{"type":"string"},"assignedEngineerId":{"type":"integer","format":"int32"},"locationReference":{"type":"string"},"technicalObservations":{"type":"string"},"diagramPhotoUrl":{"type":"string"},"surveyDate":{"type":"string","format":"date-time"}}},"MeasurementUnitRequest":{"required":["name"],"type":"object","properties":{"name":{"maxLength":20,"minLength":0,"type":"string"}}},"ApiResponseMeasurementUnit":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/MeasurementUnit"}}},"MeasurementUnit":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"}}},"MasterStatusRequest":{"required":["displayName","entityType","name"],"type":"object","properties":{"name":{"maxLength":50,"minLength":0,"type":"string"},"displayName":{"maxLength":100,"minLength":0,"type":"string"},"entityType":{"maxLength":50,"minLength":0,"type":"string"},"description":{"type":"string"}}},"ApiResponseMasterStatus":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/MasterStatus"}}},"MasterStatus":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"displayName":{"type":"string"},"entityType":{"type":"string"},"description":{"type":"string"}}},"CustomerCreateRequest":{"required":["statusId","taxName"],"type":"object","properties":{"taxName":{"maxLength":255,"minLength":0,"type":"string"},"commercialName":{"maxLength":255,"minLength":0,"type":"string"},"taxId":{"maxLength":13,"minLength":0,"type":"string"},"taxAddress":{"type":"string"},"website":{"maxLength":255,"minLength":0,"type":"string"},"registrationType":{"maxLength":20,"minLength":0,"type":"string"},"statusId":{"type":"integer","format":"int32"}}},"ApiResponseCustomer":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Customer"}}},"Customer":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"customerCode":{"type":"string"},"taxName":{"type":"string"},"commercialName":{"type":"string"},"taxId":{"type":"string"},"taxAddress":{"type":"string"},"website":{"type":"string"},"registrationType":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"statusId":{"type":"integer","format":"int32"}}},"CustomerContactRequest":{"required":["contactName","customerId","mainContact"],"type":"object","properties":{"contactName":{"maxLength":150,"minLength":0,"type":"string"},"department":{"maxLength":100,"minLength":0,"type":"string"},"customerId":{"type":"integer","format":"int32"},"jobTitle":{"maxLength":100,"minLength":0,"type":"string"},"email":{"maxLength":150,"minLength":0,"type":"string"},"phone":{"maxLength":50,"minLength":0,"type":"string"},"mainContact":{"type":"boolean"}}},"ApiResponseCustomerContact":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CustomerContact"}}},"CustomerContact":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"contactName":{"type":"string"},"department":{"type":"string"},"customerId":{"type":"integer","format":"int32"},"jobTitle":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"mainContact":{"type":"boolean"}}},"CategoryDefaultItemRequest":{"required":["baseSuggestedQuantity","categoryId","productId"],"type":"object","properties":{"categoryId":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int32"},"baseSuggestedQuantity":{"type":"number"}}},"ApiResponseCategoryDefaultItem":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CategoryDefaultItem"}}},"CategoryDefaultItem":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int32"},"baseSuggestedQuantity":{"type":"number"}}},"BrandRequest":{"required":["name"],"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string"}}},"ApiResponseBrand":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Brand"}}},"Brand":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"}}},"ApiResponseExchangeRateDaily":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ExchangeRateDaily"}}},"ExchangeRateDaily":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"rateDate":{"type":"string","format":"date"},"usdToMxn":{"type":"number"},"seriesId":{"type":"string"},"banxicoObsFecha":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"ApiResponseListTechnologyCategory":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TechnologyCategory"}}}},"ApiResponseListProductCatalog":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ProductCatalog"}}}},"ApiResponseListPreSaleFolder":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/PreSaleFolder"}}}},"ApiResponseListMeasurementUnit":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/MeasurementUnit"}}}},"ApiResponseListMasterStatus":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/MasterStatus"}}}},"ApiResponseListExchangeRateDaily":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ExchangeRateDaily"}}}},"ApiResponseListCustomer":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Customer"}}}},"ApiResponseListCustomerContact":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CustomerContact"}}}},"ApiResponseListCategoryDefaultItem":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CategoryDefaultItem"}}}},"ApiResponseListBrand":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Brand"}}}}},"securitySchemes":{"bearerAuth":{"type":"http","name":"bearerAuth","scheme":"bearer","bearerFormat":"JWT"}}}}